const express = require('express');
const cors = require('cors');
const bodyParser = require('body-parser');
const axios = require('axios');

const app = express();
const port = process.env.PORT || 3005;

app.use(cors());
app.use(bodyParser.json()); // for parsing application/json
app.use(bodyParser.urlencoded({ extended: true })); // for parsing application/x-www-form-urlencoded

app.post('/api/data', async (req, res) => {
  try {
    const basicAuthHeader = 'Basic ' + btoa('test23:password');
    const response = await axios.post('https://central-staging.ivrnet.com/api/v1/invoices/create', req.body, {
      headers: {
        'Content-Type': 'application/json',
        'Authorization': basicAuthHeader,
      },
    });
    res.json(response.data);
  } catch (error) {
    res.status(500).json({ error: error?.response?.data?.error || 'Internal server error' });
  }
});

app.listen(port, () => {
  console.log(`Server is running on port ${port}`);
});
